| Home | Libraries | People | FAQ | More

###### date::date (2 of 4 overloads)

Constructs a date from its year, month and date components.

###### Synopsis

    constexpr
    date(
        std::uint16_t year,
        std::uint8_t month,
        std::uint8_t day);

###### Description

Component values that yield invalid dates (like zero or out-of-range values) are allowed, resulting in an object with `this->valid() == false`.

###### Exception safety

No-throw guarantee.